# List GPU Products - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-list-products

# List GPU Products

GET

/

gpu-instance

/

openapi

/

v1

/

products

Try it

List GPU Products

cURL

```
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/products \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>'
```

```
import requestsurl = "https://api.novita.ai/gpu-instance/openapi/v1/products"headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = { method: 'GET', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpu-instance/openapi/v1/products', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpu-instance/openapi/v1/products", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpu-instance/openapi/v1/products"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpu-instance/openapi/v1/products") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpu-instance/openapi/v1/products")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"data": [
{
"id": "&#x3C;string>",
"name": "&#x3C;string>",
"cpuPerGpu": 123,
"memoryPerGpu": 123,
"diskPerGpu": 123,
"availableDeploy": true,
"minRootFS": 123,
"maxRootFS": 123,
"minLocalStorage": 123,
"maxLocalStorage": 123,
"regions": {},
"price": 123,
"monthlyPrice": [
{
"price": 123,
"month": 123
}
],
"billingMethods": [
"&#x3C;string>"
],
"spotPrice": "&#x3C;string>",
"inventoryState": "&#x3C;string>"
}
]
}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#query-parameters)

Query Parameters

[​](#param-cluster-id)

clusterId

string

Filter by specified cluster ID. String, length limit: 0-255 characters.

[​](#param-gpu-num)

gpuNum

integer

Filter by number of GPUs. Integer, valid range: [0, 8].

[​](#param-product-name)

productName

string

Filter by product name (fuzzy match). String, length limit: 0-255 characters.

[​](#param-min-cpu-per-gpu)

minCpuPerGpu

integer

Filter by minimum CPU cores per GPU. Integer, value must be greater than or equal to 0.

[​](#param-min-memory-per-gpu)

minMemoryPerGpu

integer

Filter by minimum memory per GPU (GB). Integer, value must be greater than or equal to 0.

[​](#param-min-root-fs-size)

minRootFSSize

integer

Filter by minimum root filesystem size per GPU (GB). Integer, value must be greater than or equal to 0.

[​](#param-billing-method)

billingMethod

string

Filter by billing method. Options:

- `onDemand`: Pay-as-you-go instance (default)

- `monthly`: Subscription instance (monthly or yearly)

- `spot`: Spot instance billing

##

[​](#response)

Response

[​](#param-data)

data

object[]

required

GPU product information.

Hide properties

[​](#param-id)

id

string

required

Product ID.

[​](#param-name)

name

string

required

Product name.

[​](#param-cpu-per-gpu)

cpuPerGpu

integer

required

Number of CPU cores per GPU.

[​](#param-memory-per-gpu)

memoryPerGpu

integer

required

Memory size per GPU (GB).

[​](#param-disk-per-gpu)

diskPerGpu

integer

required

Disk size per GPU (GB).

[​](#param-available-deploy)

availableDeploy

boolean

required

Whether this product can be used to create an instance. Values:

- true: The product can be used to create an instance.

- false: Insufficient resources, cannot create an instance.

[​](#param-min-root-fs)

minRootFS

integer

required

Minimum available root filesystem size (GB).

[​](#param-max-root-fs)

maxRootFS

integer

required

Maximum available root filesystem size (GB).

[​](#param-min-local-storage)

minLocalStorage

integer

required

Minimum available local storage size (GB).

[​](#param-max-local-storage)

maxLocalStorage

integer

required

Maximum available local storage size (GB).

[​](#param-regions)

regions

[string]

required

Available clusters. Indicates that this product is only available in the specified clusters. If the list is empty, the product is available in all clusters.

[​](#param-price)

price

integer

required

Price for creating a pay-as-you-go instance with this product.

[​](#param-monthly-price)

monthlyPrice

object[]

required

Price for creating a subscription (monthly or yearly) instance with this product.

Hide properties

[​](#param-price-1)

price

integer

required

Unit price for the subscription instance.

[​](#param-month)

month

integer

required

Subscription duration, in months.

[​](#param-billing-methods)

billingMethods

string[]

required

The billing methods supported by this product. Valid values:

- `onDemand`: Pay-as-you-go billing

- `monthly`: Monthly subscription billing

- `spot`: Spot instance billing

[​](#param-spot-price)

spotPrice

string

Spot billing instance price.

[​](#param-inventory-state)

inventoryState

string

Product inventory status:

- `none`: Out of stock

- `low`: Low stock

- `normal`: Normal stock

- `high`: Sufficient stock

Last modified on October 23, 2025
